Package: org.codehaus.groovy.util

## [Java] Class ManagedConcurrentMap.Entry<K, V>

- org.codehaus.groovy.util.ManagedConcurrentMap.Entry

- All Implemented Interfaces and Traits:
    AbstractConcurrentMapEntry

      public static class ManagedConcurrentMap.Entry<K, V>
      extends ManagedReference
      implements AbstractConcurrentMapEntry

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Entry(ReferenceBundle bundle, Segment segment, K key, int hash)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `finalizeRef()` deprecated: use finalizeReference
    `` | `public void` | `finalizeReference()`
    `` | `public int` | `getHash()`
    `` | `public V` | `getValue()`
    `` | `public boolean` | `isEqual(K key, int hash)`
    `` | `public boolean` | `isValid()`
    `` | `public void` | `setValue(V value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ManagedReference` | `clear, finalizeReference, get`

- - ### Constructor Detail

    - #### public Entry(ReferenceBundle bundle, Segment segment, K key, int hash)

  - ### Method Detail

    - #### @Deprecated
      public void finalizeRef()

      deprecated:
        use finalizeReference

    - #### @Override
      public void finalizeReference()

    - #### @Override
      public int getHash()

    - #### @Override
      public V getValue()

    - #### @Override
      public boolean isEqual(K key, int hash)

    - #### @Override
      public boolean isValid()

    - #### @Override
      public void setValue(V value)